Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 231767 - mail-notification can't be build because header file is missing
Summary: mail-notification can't be build because header file is missing
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthew Barnes
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC7Blocker 227828
TreeView+ depends on / blocked
 
Reported: 2007-03-11 12:56 UTC by Thorsten Leemhuis
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: evolution-2.10.0-7.fc7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 20:37:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
GNOME Bugzilla 400241 None None None Never

Description Thorsten Leemhuis 2007-03-11 12:56:14 UTC
Description of problem:
The plugin mail API header file
          mail/em-event.h
now requires 
         composer/e-msg-composer.h
which is not part of any of the evolution packages. This is tracked also
upstream, but not yet fixed afaics:
http://bugzilla.gnome.org/show_bug.cgi?id=400241

Version-Release number of selected component (if applicable):
evolution-2.9.92-1.fc7

How reproducible:
always; from mail-notification build in fedora-extras (see
http://buildsys.fedoraproject.org/logs/fedora-development-extras/28972-mail-notification-4.0-2.fc7/i386/build.log
for full log):
gcc -DHAVE_CONFIG_H -I. -I. -I.. -DG_DISABLE_ASSERT -DG_DISABLE_CHECKS
-DG_DISABLE_CAST_CHECKS -I.. -DG_LOG_DOMAIN=\"mail-notification\" -DORBIT2=1
-pthread -I/usr/include/evolution-2.10 -I/usr/include/libgnome-2.0
-I/usr/include/libgnomeui-2.0 -I/usr/include/libbonoboui-2.0
-I/usr/include/evolution-data-server-1.10 -I/usr/include/orbit-2.0
-I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0
-I/usr/lib/gnome-vfs-2.0/include -I/usr/include/glib-2.0
-I/usr/lib/glib-2.0/include -I/usr/include/libbonobo-2.0
-I/usr/include/bonobo-activation-2.0 -I/usr/include/libgnomecanvas-2.0
-I/usr/include/gtk-2.0 -I/usr/include/libart-2.0 -I/usr/include/gnome-keyring-1
-I/usr/include/pango-1.0 -I/usr/include/freetype2 -I/usr/lib/gtk-2.0/include
-I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/libpng12
-I/usr/include/libxml2 -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions
-fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
-fasynchronous-unwind-tables 
 -MT liborg_gnome_mail_notification_la-mn-evolution-folder-tree-control.lo -MD
-MP -MF
.deps/liborg_gnome_mail_notification_la-mn-evolution-folder-tree-control.Tpo -c
mn-evolution-folder-tree-control.c  -fPIC -DPIC -o
.libs/liborg_gnome_mail_notification_la-mn-evolution-folder-tree-control.o
In file included from mn-evolution-plugin.c:27:
/usr/include/evolution-2.10/mail/em-event.h:29:37: error:
composer/e-msg-composer.h: No such file or directory
In file included from mn-evolution-plugin.c:27:
/usr/include/evolution-2.10/mail/em-event.h:85: error: expected
specifier-qualifier-list before 'EMsgComposer'
/usr/include/evolution-2.10/mail/em-event.h:106: warning: type defaults to 'int'
in declaration of 'EMsgComposer'
/usr/include/evolution-2.10/mail/em-event.h:106: error: expected ';', ',' or ')'
before '*' token
[...]

Comment 1 Thorsten Leemhuis 2007-03-13 13:20:59 UTC
Still a problem in 2.10.0-1.fc7

$ sudo yum provides *e-msg-composer.h
No Matches found

Comment 2 Thorsten Leemhuis 2007-03-17 20:38:30 UTC
Adding FC7Blocker as "depends on", as I can't rebuild mail-notification (which
has a serious bug that needs to be fixed by F7) until this is fixed

Comment 3 Thorsten Leemhuis 2007-04-01 10:49:36 UTC
ping; still present in evolution-devel-2.10.0-5.fc7 ; I'm not sure what the
proper fix is;  Matthew, is the include wrong or should
composer/e-msg-composer.h be included in the devel package these days?

See also http://bugzilla.gnome.org/show_bug.cgi?id=421154

Comment 4 Matthew Barnes 2007-04-02 16:04:38 UTC
Patch is upstream [1]; I'll spin a new evolution package.

[1] http://bugzilla.gnome.org/show_bug.cgi?id=400241

Comment 5 Matthew Barnes 2007-04-02 20:37:31 UTC
Fixed in evolution-2.10.0-7.fc7.


Note You need to log in before you can comment on or make changes to this bug.